︠4fb2c4b1-6170-432f-bbcb-77a23c012429is︠
#Bard - Sage - Function Plot 3D Demo

html("<h2 style='color:blue'>Bard - Sage - Function Plot 3D Demo</h2>")

html("<p>One of the following situations will occur when you start this worksheet:</p><ul><li><b>The graph or formulas are visible below the input boxes, sliders and check boxes</b>: proceed to use the worksheet.</li><li><b>The code is visible</b>: put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li><li><b>The code is not visible, and you see “(Evaluate this cell to use this interact)” instead of the graph or formulas</b>: double-click where that message is written to bring up the code, put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li>")

html("<p>Using the worksheet:</p><ul><li>Once the graph or formulas are visible, manipulate the entries via the input boxes, sliders and check boxes.</li><li>When you change something in an input box, hit Return on your keyboard.</li><li>You can add a mesh to the graph by clicking on Mesh, and you can make the graph have no opacity by clicking on Opacity 1.</li></ul>")

y, z = var('y, z');
@interact
def _(
    f = input_box(default = x^2 - y^2, label = "$f(x, y)$"),
    xinterval=range_slider(-20, 20, 1, default = (-6, 6), label = "$x$-interval"),
    yinterval=range_slider(-20, 20, 1, default = (-6, 6), label = "$y$-interval"),
    zinterval=range_slider(-100, 100, 1, default = (-12, 12), label = "$z$-interval"),
    par = selector(['partial x', 'Partial y'], nrows = 1, label = "Method"),
    messh = ("Mesh", False),
    oppa = ("Opacity 1", False),
    ):
        x_min, x_max = map(QQ, xinterval);
        y_min, y_max = map(QQ, yinterval);
        zzmin, zzmax = map(QQ, zinterval);

        ls = [zzmin, zzmax]


        z_max = max(ls);
        z_min = min(ls);

        fz = f - z;
        opac = 0.5;
        if oppa == True:
            opac = 1;
        else:
            opac = 0.5;

        if messh == True:
            plt = implicit_plot3d(fz == 0, (x, x_min, x_max), (y, y_min, y_max), (z, z_min, z_max), mesh=True, opacity = opac, figsize = 20, aspect_ratio = [1, 1, 1]);
        else:
            plt = implicit_plot3d(fz == 0, (x, x_min, x_max), (y, y_min, y_max), (z, z_min, z_max), opacity = opac, figsize = 20, aspect_ratio = [1, 1, 1]);
        html(r'$$f(x, y) = %s$$'% (latex(f)));

        show(plt)
︡49dcccfa-fdf1-4cb5-8513-9faa7817027d︡︡{"hide":"input"}︡{"html":"<h2 style='color:blue'>Bard - Sage - Function Plot 3D Demo</h2>","done":false}︡{"hide":"input"}︡{"html":"<p>One of the following situations will occur when you start this worksheet:</p><ul><li><b>The graph or formulas are visible below the input boxes, sliders and check boxes</b>: proceed to use the worksheet.</li><li><b>The code is visible</b>: put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li><li><b>The code is not visible, and you see “(Evaluate this cell to use this interact)” instead of the graph or formulas</b>: double-click where that message is written to bring up the code, put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li>","done":false}︡{"hide":"input"}︡{"html":"<p>Using the worksheet:</p><ul><li>Once the graph or formulas are visible, manipulate the entries via the input boxes, sliders and check boxes.</li><li>When you change something in an input box, hit Return on your keyboard.</li><li>You can add a mesh to the graph by clicking on Mesh, and you can make the graph have no opacity by clicking on Opacity 1.</li></ul>","done":false}︡{"interact":{"style":"None","flicker":false,"layout":[[["f",12,null]],[["xinterval",12,null]],[["yinterval",12,null]],[["zinterval",12,null]],[["par",12,null]],[["messh",12,null]],[["oppa",12,null]],[["",12,null]]],"id":"f6f987b8-b6aa-490a-9a99-4aeba633edbf","controls":[{"control_type":"input-box","default":"x^2 - y^2","label":"$f(x, y)$","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"f","type":null},{"control_type":"range-slider","default":[14,26],"var":"xinterval","width":null,"vals":["-20","-19","-18","-17","-16","-15","-14","-13","-12","-11","-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"],"animate":true,"label":"$x$-interval","display_value":true},{"control_type":"range-slider","default":[14,26],"var":"yinterval","width":null,"vals":["-20","-19","-18","-17","-16","-15","-14","-13","-12","-11","-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"],"animate":true,"label":"$y$-interval","display_value":true},{"control_type":"range-slider","default":[88,112],"var":"zinterval","width":null,"vals":["-100","-99","-98","-97","-96","-95","-94","-93","-92","-91","-90","-89","-88","-87","-86","-85","-84","-83","-82","-81","-80","-79","-78","-77","-76","-75","-74","-73","-72","-71","-70","-69","-68","-67","-66","-65","-64","-63","-62","-61","-60","-59","-58","-57","-56","-55","-54","-53","-52","-51","-50","-49","-48","-47","-46","-45","-44","-43","-42","-41","-40","-39","-38","-37","-36","-35","-34","-33","-32","-31","-30","-29","-28","-27","-26","-25","-24","-23","-22","-21","-20","-19","-18","-17","-16","-15","-14","-13","-12","-11","-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56","57","58","59","60","61","62","63","64","65","66","67","68","69","70","71","72","73","74","75","76","77","78","79","80","81","82","83","84","85","86","87","88","89","90","91","92","93","94","95","96","97","98","99","100"],"animate":true,"label":"$z$-interval","display_value":true},{"buttons":false,"control_type":"selector","ncols":null,"button_classes":null,"default":0,"lbls":["partial x","Partial y"],"label":"Method","nrows":1,"width":null,"var":"par"},{"default":false,"var":"messh","readonly":false,"control_type":"checkbox","label":"Mesh"},{"default":false,"var":"oppa","readonly":false,"control_type":"checkbox","label":"Opacity 1"}]},"done":false}︡{"done":true}
︠63f894cc-9d99-46a1-a5c7-535510ebb48bs︠
︡ea979934-eebb-49b5-ab2f-0833343d853b︡︡{"done":true}
︠3016b595-82fc-47bc-a223-d85512f9346c︠









